Commit 986bbddd authored by Ronan Abhamon's avatar Ronan Abhamon

feat(tools): check and test qml if it's necessary!

parent 03010465
......@@ -18,29 +18,25 @@ cd $SCRIPT_DIR/..
# ==============================================================================
if ! [ -x "$( command -v "$LINTER" )" ]; then
printf "${RED}Unable to found `$LINTER`. No tests can be executed.${NC}\n"
exit 0
printf "${RED}Unable to found `$LINTER`.${NC}\n"
exit 1
fi
"${LINTER}" -v
"${LINTER}" -v 2> /dev/null 1>&2
if [[ $? != 0 ]] ; then
printf "${RED}Unable to check qml syntax.${NC}\n"
exit 0
exit 1
fi
printf "${BLUE}Checking qml files...${NC}\n"
so_far_so_good=0
while read line
do
result=$(
printf "$line" |
sed -n 's/^\s*<\s*file\s*>\s*\(.*\.\(qml\|js\)\)\s*<\s*\/\s*file\s*>\s*$/\1/p'
)
if [[ ! -z $result ]] && ! $LINTER "$result"; then
while read file; do
$LINTER "$file"
if [[ $? != 0 ]] ; then
so_far_so_good=1
fi
done < $RESOURCES_FILE
done < <(git diff --name-only --cached | grep -E '\.qml|js|js\.spec$')
if [[ $so_far_so_good == 0 ]]; then
printf "${GREEN}Done. No qml error found.\n"
......
......@@ -28,9 +28,13 @@ if ! [ -x "$( command -v "$TEST_RUNNER" )" ]; then
exit 0
fi
so_far_so_good=0
git diff --name-only --cached | grep -Eq '\.qml|js|js\.spec$'
if [[ $? != 0 ]] ; then
exit 0
fi
# Check all `*.spec.qml` files.
so_far_so_good=0
while read line
do
source_file=$(
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment